通知处理器
GET https://link.2ni.co/api/notification-handlers/
curl --request GET \
--url 'https://link.2ni.co/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.2ni.co/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 搜索的字段。允许的值为:name。 |
| is_enabled | 可选 布尔值 | |
| type | 可选 字符串 | 搜索的字段。允许的值为:email , webhook , slack , discord , telegram , microsoft_teams。 |
| order_by | 可选 字符串 | 结果排序的字段。允许的值为:notification_handler_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值为:ASC 升序,DESC 降序。 |
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 搜索的字段。允许的值为:name。 |
| is_enabled | 可选 布尔值 | |
| type | 可选 字符串 | 搜索的字段。允许的值为:email , webhook , slack , discord , telegram , microsoft_teams。 |
| order_by | 可选 字符串 | 结果排序的字段。允许的值为:notification_handler_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值为:ASC 升序,DESC 降序。 |
| page | 可选 整数 | 您想获取结果的页码。默认为 1。 |
| results_per_page | 可选 整数 | 每页显示的结果数量。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认为 25。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-24 23:59:24",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://link.2ni.co/api/notification-handlers?page=1",
"last": "https://link.2ni.co/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://link.2ni.co/api/notification-handlers?page=1"
}
}
GET https://link.2ni.co/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://link.2ni.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.2ni.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-24 23:59:24",
}
}
POST https://link.2ni.co/api/notification-handlers
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 必填 字符串 | - |
| type | 必填 字符串 | 允许的值:email , webhook , slack , discord , telegram , microsoft_teams |
| 可选 字符串 | 可用条件:type = email 邮箱 | |
| webhook | 可选 字符串 | 可用条件:type = webhook Webhook URL |
| slack | 可选 字符串 | 可用条件:type = slack Slack Webhook URL |
| discord | 可选 字符串 | 可用条件:type = discord Discord Webhook URL |
| telegram | 可选 字符串 | 可用条件:type = telegram Telegram API Token |
| telegram_chat_id | 可选 字符串 | 可用条件:type = telegram Telegram Chat ID |
| microsoft_teams | 可选 字符串 | 可用条件:type = microsoft_teams Microsoft Teams Webhook URL |
curl --request POST \
--url 'https://link.2ni.co/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://link.2ni.co/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://link.2ni.co/api/notification-handlers/{notification_handler_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值:email , webhook , slack , discord , telegram , microsoft_teams |
| 可选 字符串 | 可用条件:type = email 邮箱 | |
| webhook | 可选 字符串 | 可用条件:type = webhook Webhook URL |
| slack | 可选 字符串 | 可用条件:type = slack Slack Webhook URL |
| discord | 可选 字符串 | 可用条件:type = discord Discord Webhook URL |
| telegram | 可选 字符串 | 可用条件:type = telegram Telegram API Token |
| telegram_chat_id | 可选 字符串 | 可用条件:type = telegram Telegram Chat ID |
| microsoft_teams | 可选 字符串 | 可用条件:type = microsoft_teams Microsoft Teams Webhook URL |
| is_enabled | 可选 布尔值 | - |
curl --request POST \
--url 'https://link.2ni.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://link.2ni.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://link.2ni.co/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://link.2ni.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.2ni.co/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \